Sci Dec 7, 2013 @ 2:26pm
Dota 2 "Could not find required OpenGl entry point
"Could not find required OpenGl entry point 'glDrawRangeElementsBaseVertex'!
When I try to open dota 2 on my mac I got "Could not find required OpenGL entry point 'glDrawRangeElementsBaseVertex'! Either your video card is unsupported, or your Open Gl driver needs to be updated."

I'm not sure what this means, but I need help on how to run dota 2 on my mac.. Here are my specs:
MacBook Pro
Model:MacBookPro8,1
Processor:Intel Core i5
2,3 GHz
Processors:1
Total number of cores: 2
Cache L2 (por Núcleo): 256 KB
Cache de L3: 3 MB
Memória: 4 GB

Tell me if I'm leaving anything out? And what exactly is wrong?

Oh and my mac version is 10.6.8 if that matters.. Please help guys I really wanna play on my mac because I'm over at my aunts and can't get on my desktop where I usually play, I'm a newbie at using macs

Thanks for any information!
Showing 1-9 of 9 comments
< >
Janichsan Dec 8, 2013 @ 1:28am 
Read the game's system requirements.
Sci Dec 8, 2013 @ 8:35am 
that doesnt help at all
Sci Dec 8, 2013 @ 8:35am 
if it were that simple i wouldnt be here asking
MikoyOpaw Dec 15, 2013 @ 10:17pm 
having same problem now, did you resolve this issue?pls let me know, also noob with mac dont know what to do..
Sci Dec 20, 2013 @ 2:23am 
no I haven't resolved it.. I have no clue what to do, it already has the system requirements.. I did check already so that doesnt help at all, if that was the problem I wouldn't bother wasting my time asking here
Sci Dec 20, 2013 @ 2:24am 
Originally posted by Janichsan:
Originally posted by Sci:
that doesnt help at all
Then read again. Slowly and thoroughly.

Originally posted by Sci:
if it were that simple i wouldnt be here asking
It is as simple.

please dont post on my thread again if all you're going to do is state the obvious which everyone does before even asking someone else how to solve a problem
Sci Dec 20, 2013 @ 2:24am 
Originally posted by MikoyOpaw:
having same problem now, did you resolve this issue?pls let me know, also noob with mac dont know what to do..
not resolved yet =\ im completely lost.. it works fine on my other computers but im bad at using macs..
Janichsan Dec 20, 2013 @ 6:18am 
please dont post on my thread again if all you're going to do is state the obvious which everyone does before even asking someone else how to solve a problem
The only thing obvious that you did not "what everyone does" and read the system requirements, otherwise you would have identified the problem long ago and possibly even found the solution.

Let me make it a bit more simple for you.

Your post:
Originally posted by Sci:
Oh and my mac version is 10.6.8 if that matters..

The system requirements:
Minimum:
OS: OS X Lion 10.7

Do you see it now?
doofy Dec 20, 2013 @ 9:38am 
same problem=(
Showing 1-9 of 9 comments
< >
Per page: 15 30 50
Date Posted: Dec 7, 2013 @ 2:26pm
Posts: 9